www-announce mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim Allison <talli...@apache.org>
Subject [CVE-2019-10094] StackOverflow from Crafted Package/Compressed Files in Apache Tika's RecursiveParserWrapper
Date Fri, 02 Aug 2019 11:35:09 GMT
Title: [CVE-2019-10094] StackOverflow from Crafted Package/Compressed
Files in Apache Tika's RecursiveParserWrapper

Severity: Medium

Vendor: The Apache Software Foundation

Versions Affected: Apache Tika  1.7 to 1.21

Description:
A carefully crafted package/compressed file that, when
unzipped/uncompressed yields the same file (a quine), causes a
StackOverflowError in Apache Tika's RecursiveParserWrapper in versions
1.7-1.21 of Apache Tika.


Mitigation:
Apache Tika users should upgrade to 1.22 or later.


Credit:
This issue was discovered by Tim Allison on the Apache Tika team. Many
thanks to Matthew Barber and Erling Ellingson for crafting examples
and contributing these files to Tika's unit tests.

Mime
View raw message